package com.foreverwin.mesnac.common.model;

import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.IdType;

/**
 * <p>
 * 检验项目维护-附加对象
 * </p>
 *
 * @author Philip
 * @since 2021-06-09
 */

@TableName("Z_INSPECTION_ITEM_ADDITION")

public class InspectionItemAddition extends Model<InspectionItemAddition> {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
   @TableId(value = "HANDLE", type = IdType.INPUT)
   private String handle;
    /**
     * 检验项目主键
     */
   @TableField("INSPECTION_ITEM_BO")
   private String inspectionItemBo;
    /**
     * 序号
     */
   @TableField("SEQ")
   private Long seq;
    /**
     * 附加对象类别
     */
   @TableField("ADDITIONAL_OBJECT_TYPE")
   private String additionalObjectType;
    /**
     * 附加对象
     */
   @TableField("ADDITIONAL_OBJECT")
   private String additionalObject;
    /**
     * 附加对象描述
     */
   @TableField("DESCRIPTION")
   private String description;
    /**
     * 创建人
     */
   @TableField("CREATE_USER")
   private String createUser;
    /**
     * 创建时间
     */
   @TableField("CREATED_DATE_TIME")
   private LocalDateTime createdDateTime;
    /**
     * 修改人
     */
   @TableField("MODIFY_USER")
   private String modifyUser;
    /**
     * 修改时间
     */
   @TableField("MODIFIED_DATE_TIME")
   private LocalDateTime modifiedDateTime;


   public String getHandle() {
      return handle;
   }

   public void setHandle(String handle) {
      this.handle = handle;
   }

   public String getInspectionItemBo() {
      return inspectionItemBo;
   }

   public void setInspectionItemBo(String inspectionItemBo) {
      this.inspectionItemBo = inspectionItemBo;
   }

   public Long getSeq() {
      return seq;
   }

   public void setSeq(Long seq) {
      this.seq = seq;
   }

   public String getAdditionalObjectType() {
      return additionalObjectType;
   }

   public void setAdditionalObjectType(String additionalObjectType) {
      this.additionalObjectType = additionalObjectType;
   }

   public String getAdditionalObject() {
      return additionalObject;
   }

   public void setAdditionalObject(String additionalObject) {
      this.additionalObject = additionalObject;
   }

   public String getDescription() {
      return description;
   }

   public void setDescription(String description) {
      this.description = description;
   }

   public String getCreateUser() {
      return createUser;
   }

   public void setCreateUser(String createUser) {
      this.createUser = createUser;
   }

   public LocalDateTime getCreatedDateTime() {
      return createdDateTime;
   }

   public void setCreatedDateTime(LocalDateTime createdDateTime) {
      this.createdDateTime = createdDateTime;
   }

   public String getModifyUser() {
      return modifyUser;
   }

   public void setModifyUser(String modifyUser) {
      this.modifyUser = modifyUser;
   }

   public LocalDateTime getModifiedDateTime() {
      return modifiedDateTime;
   }

   public void setModifiedDateTime(LocalDateTime modifiedDateTime) {
      this.modifiedDateTime = modifiedDateTime;
   }

public static final String HANDLE = "HANDLE";

public static final String INSPECTION_ITEM_BO = "INSPECTION_ITEM_BO";

public static final String SEQ = "SEQ";

public static final String ADDITIONAL_OBJECT_TYPE = "ADDITIONAL_OBJECT_TYPE";

public static final String ADDITIONAL_OBJECT = "ADDITIONAL_OBJECT";

public static final String DESCRIPTION = "DESCRIPTION";

public static final String CREATE_USER = "CREATE_USER";

public static final String CREATED_DATE_TIME = "CREATED_DATE_TIME";

public static final String MODIFY_USER = "MODIFY_USER";

public static final String MODIFIED_DATE_TIME = "MODIFIED_DATE_TIME";


   @Override
   protected Serializable pkVal() {
      return this.handle;
   }

   @Override
   public String toString() {
      return "InspectionItemAddition{" +
         "handle = " + handle +
         ", inspectionItemBo = " + inspectionItemBo +
         ", seq = " + seq +
         ", additionalObjectType = " + additionalObjectType +
         ", additionalObject = " + additionalObject +
         ", description = " + description +
         ", createUser = " + createUser +
         ", createdDateTime = " + createdDateTime +
         ", modifyUser = " + modifyUser +
         ", modifiedDateTime = " + modifiedDateTime +
         "}";
   }
}